#ifndef RAINPARTICLE_H
#define RAINPARTICLE_H

#include "ParticleEngine.h"

#include "MemoryManager/DebugNew.h"


namespace ParticleSystem{
	class RainParticle : public ParticleEngine::Particle
	{
	public:
		RainParticle(void);
		~RainParticle(void);
		void draw();
		bool isAlive();
	};
};// namespace ParticleSystem

#include "MemoryManager/DebugNewOff.h"


#endif
